galaxy-caddy.http.sync
======================

Push config file and sync code source of a basic html site

Requirements
------------

Caddy webserver up and running

Role Variables
--------------

- vhost_url: vhost url
- vhost_name: name of the vhost
- caddy_home: path to caddy home directory
- caddy_logs: path to caddy logs directory
- caddy_conf: path to caddy config directory
- caddy_confd: path to caddy confd directory
- caddy_logs: path to caddy vhost log directory
- caddy_www: path to caddy www dir
- custom_errors: yes/no - use custom errors or not
- www_redirect: yes/no - redirect www. to .

Dependencies
------------

- galaxy-caddy

Example Playbook
----------------

    - hosts: servers
      roles:
         - { role: galaxy-caddy.http.sync, custom_errors: no, vhost_name: test, vhost_url: test.test, syncpath: path/to/some/directory }
